Index: palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 4444)
+++ palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 4450)
@@ -7019,19 +7018,19 @@
                                  nxlf, nxrf, nysf, nynf,                       &
                                  nys_on_file, nyn_on_file,                     &
-                                 nxl_on_file,nxr_on_file )                     
-                                                                               
-                                                                               
-       CASE ( 'm_soil_v(2)' )                                                  
-                                                                               
-          IF ( k == 1 )  THEN                                                  
+                                 nxl_on_file,nxr_on_file )
+
+
+       CASE ( 'm_soil_v(2)' )
+
+          IF ( k == 1 )  THEN
              IF ( .NOT.  ALLOCATED( m_soil_v(2)%var_2d ) )                     &
                 ALLOCATE( m_soil_v(2)%var_2d(nzb_soil:nzt_soil+1,              &
-                                             1:surf_lsm_v(2)%ns) )             
-             READ ( 13 )  tmp_walltype_v_2d2(2)%var_2d                         
-          ENDIF                                                                
+                                             1:surf_lsm_v(2)%ns) )
+             READ ( 13 )  tmp_walltype_v_2d2(2)%var_2d
+          ENDIF
           CALL surface_restore_elements(                                       &
-                                 m_soil_v(2)%var_2d,                           & 
+                                 m_soil_v(2)%var_2d,                           &
                                  tmp_walltype_v_2d2(2)%var_2d,                 &
-                                 surf_lsm_v(2)%start_index,                    &   
+                                 surf_lsm_v(2)%start_index,                    &
                                  start_index_on_file,                          &
                                  end_index_on_file,                            &
@@ -7039,19 +7038,19 @@
                                  nxlf, nxrf, nysf, nynf,                       &
                                  nys_on_file, nyn_on_file,                     &
-                                 nxl_on_file,nxr_on_file )                     
-                                                                               
-                                                                               
-       CASE ( 'm_soil_v(3)' )                                                  
-                                                                               
-          IF ( k == 1 )  THEN                                                  
+                                 nxl_on_file,nxr_on_file )
+
+
+       CASE ( 'm_soil_v(3)' )
+
+          IF ( k == 1 )  THEN
              IF ( .NOT.  ALLOCATED( m_soil_v(3)%var_2d ) )                     &
                 ALLOCATE( m_soil_v(1)%var_2d(nzb_soil:nzt_soil+1,              &
-                                             1:surf_lsm_v(3)%ns) )             
-             READ ( 13 )  tmp_walltype_v_2d2(3)%var_2d                         
-          ENDIF                                                                
+                                             1:surf_lsm_v(3)%ns) )
+             READ ( 13 )  tmp_walltype_v_2d2(3)%var_2d
+          ENDIF
           CALL surface_restore_elements(                                       &
-                                 m_soil_v(3)%var_2d,                           & 
+                                 m_soil_v(3)%var_2d,                           &
                                  tmp_walltype_v_2d2(3)%var_2d,                 &
-                                 surf_lsm_v(3)%start_index,                    &  
+                                 surf_lsm_v(3)%start_index,                    &
                                  start_index_on_file,                          &
                                  end_index_on_file,                            &
@@ -7059,18 +7058,18 @@
                                  nxlf, nxrf, nysf, nynf,                       &
                                  nys_on_file, nyn_on_file,                     &
-                                 nxl_on_file,nxr_on_file )                     
-                                                                               
-                                                                               
-       CASE ( 'm_liq_h' )                                                      
-                                                                               
-          IF ( k == 1 )  THEN                                                  
+                                 nxl_on_file,nxr_on_file )
+
+
+       CASE ( 'm_liq_h' )
+
+          IF ( k == 1 )  THEN
              IF ( .NOT.  ALLOCATED( m_liq_h%var_1d ) )                         &
-                ALLOCATE( m_liq_h%var_1d(1:surf_lsm_h%ns) )                    
-             READ ( 13 )  tmp_walltype_h_1d%var_1d                             
-          ENDIF                                                                
+                ALLOCATE( m_liq_h%var_1d(1:surf_lsm_h%ns) )
+             READ ( 13 )  tmp_walltype_h_1d%var_1d
+          ENDIF
           CALL surface_restore_elements(                                       &
                                      m_liq_h%var_1d,                           &
                                      tmp_walltype_h_1d%var_1d,                 &
-                                     surf_lsm_h%start_index,                   &  
+                                     surf_lsm_h%start_index,                   &
                                      start_index_on_file,                      &
                                      end_index_on_file,                        &
@@ -7078,18 +7077,18 @@
                                      nxlf, nxrf, nysf, nynf,                   &
                                      nys_on_file, nyn_on_file,                 &
-                                     nxl_on_file,nxr_on_file )                 
-                                                                               
-                                                                               
-       CASE ( 'm_liq_v(0)' )                                                   
-                                                                               
-          IF ( k == 1 )  THEN                                                  
+                                     nxl_on_file,nxr_on_file )
+
+
+       CASE ( 'm_liq_v(0)' )
+
+          IF ( k == 1 )  THEN
              IF ( .NOT.  ALLOCATED( m_liq_v(0)%var_1d ) )                      &
-                ALLOCATE( m_liq_v(0)%var_1d(1:surf_lsm_v(0)%ns) )              
-             READ ( 13 )  tmp_walltype_v_1d(0)%var_1d                          
-          ENDIF                                                                
+                ALLOCATE( m_liq_v(0)%var_1d(1:surf_lsm_v(0)%ns) )
+             READ ( 13 )  tmp_walltype_v_1d(0)%var_1d
+          ENDIF
           CALL surface_restore_elements(                                       &
                                   m_liq_v(0)%var_1d,                           &
                                   tmp_walltype_v_1d(0)%var_1d,                 &
-                                  surf_lsm_v(0)%start_index,                   & 
+                                  surf_lsm_v(0)%start_index,                   &
                                   start_index_on_file,                         &
                                   end_index_on_file,                           &
@@ -7097,18 +7096,18 @@
                                   nxlf, nxrf, nysf, nynf,                      &
                                   nys_on_file, nyn_on_file,                    &
-                                  nxl_on_file,nxr_on_file )                    
-                                                                               
-                                                                               
-       CASE ( 'm_liq_v(1)' )                                                   
-                                                                               
-          IF ( k == 1 )  THEN                                                  
+                                  nxl_on_file,nxr_on_file )
+
+
+       CASE ( 'm_liq_v(1)' )
+
+          IF ( k == 1 )  THEN
              IF ( .NOT.  ALLOCATED( m_liq_v(1)%var_1d ) )                      &
-                ALLOCATE( m_liq_v(1)%var_1d(1:surf_lsm_v(1)%ns) )              
-             READ ( 13 )  tmp_walltype_v_1d(1)%var_1d                          
-          ENDIF                                                                
+                ALLOCATE( m_liq_v(1)%var_1d(1:surf_lsm_v(1)%ns) )
+             READ ( 13 )  tmp_walltype_v_1d(1)%var_1d
+          ENDIF
           CALL surface_restore_elements(                                       &
                                   m_liq_v(1)%var_1d,                           &
                                   tmp_walltype_v_1d(1)%var_1d,                 &
-                                  surf_lsm_v(1)%start_index,                   & 
+                                  surf_lsm_v(1)%start_index,                   &
                                   start_index_on_file,                         &
                                   end_index_on_file,                           &
@@ -7116,18 +7115,18 @@
                                   nxlf, nxrf, nysf, nynf,                      &
                                   nys_on_file, nyn_on_file,                    &
-                                  nxl_on_file,nxr_on_file )                    
-                                                                               
-                                                                               
-       CASE ( 'm_liq_v(2)' )                                                   
-                                                                               
-          IF ( k == 1 )  THEN                                                  
+                                  nxl_on_file,nxr_on_file )
+
+
+       CASE ( 'm_liq_v(2)' )
+
+          IF ( k == 1 )  THEN
              IF ( .NOT.  ALLOCATED( m_liq_v(2)%var_1d ) )                      &
-                ALLOCATE( m_liq_v(2)%var_1d(1:surf_lsm_v(2)%ns) )              
-             READ ( 13 )  tmp_walltype_v_1d(2)%var_1d                          
-          ENDIF                                                                
+                ALLOCATE( m_liq_v(2)%var_1d(1:surf_lsm_v(2)%ns) )
+             READ ( 13 )  tmp_walltype_v_1d(2)%var_1d
+          ENDIF
           CALL surface_restore_elements(                                       &
                                   m_liq_v(2)%var_1d,                           &
                                   tmp_walltype_v_1d(2)%var_1d,                 &
-                                  surf_lsm_v(2)%start_index,                   & 
+                                  surf_lsm_v(2)%start_index,                   &
                                   start_index_on_file,                         &
                                   end_index_on_file,                           &
@@ -7135,17 +7134,17 @@
                                   nxlf, nxrf, nysf, nynf,                      &
                                   nys_on_file, nyn_on_file,                    &
-                                  nxl_on_file,nxr_on_file )                    
-                                                                               
-       CASE ( 'm_liq_v(3)' )                                                   
-                                                                               
-          IF ( k == 1 )  THEN                                                  
+                                  nxl_on_file,nxr_on_file )
+
+       CASE ( 'm_liq_v(3)' )
+
+          IF ( k == 1 )  THEN
              IF ( .NOT.  ALLOCATED( m_liq_v(3)%var_1d ) )                      &
-                ALLOCATE( m_liq_v(3)%var_1d(1:surf_lsm_v(3)%ns) )              
-             READ ( 13 )  tmp_walltype_v_1d(3)%var_1d                          
-          ENDIF                                                                
+                ALLOCATE( m_liq_v(3)%var_1d(1:surf_lsm_v(3)%ns) )
+             READ ( 13 )  tmp_walltype_v_1d(3)%var_1d
+          ENDIF
           CALL surface_restore_elements(                                       &
                                   m_liq_v(3)%var_1d,                           &
                                   tmp_walltype_v_1d(3)%var_1d,                 &
-                                  surf_lsm_v(3)%start_index,                   & 
+                                  surf_lsm_v(3)%start_index,                   &
                                   start_index_on_file,                         &
                                   end_index_on_file,                           &
@@ -7153,18 +7152,18 @@
                                   nxlf, nxrf, nysf, nynf,                      &
                                   nys_on_file, nyn_on_file,                    &
-                                  nxl_on_file,nxr_on_file )                    
-                                                                               
-                                                                               
-       CASE ( 't_surface_h' )                                                  
-                                                                               
-          IF ( k == 1 )  THEN                                                  
+                                  nxl_on_file,nxr_on_file )
+
+
+       CASE ( 't_surface_h' )
+
+          IF ( k == 1 )  THEN
              IF ( .NOT.  ALLOCATED( t_surface_h%var_1d ) )                     &
-                ALLOCATE( t_surface_h%var_1d(1:surf_lsm_h%ns) )                
-             READ ( 13 )  tmp_walltype_h_1d%var_1d                             
-          ENDIF                                                                
+                ALLOCATE( t_surface_h%var_1d(1:surf_lsm_h%ns) )
+             READ ( 13 )  tmp_walltype_h_1d%var_1d
+          ENDIF
           CALL surface_restore_elements(                                       &
                                      t_surface_h%var_1d,                       &
                                      tmp_walltype_h_1d%var_1d,                 &
-                                     surf_lsm_h%start_index,                   & 
+                                     surf_lsm_h%start_index,                   &
                                      start_index_on_file,                      &
                                      end_index_on_file,                        &
@@ -7172,17 +7171,17 @@
                                      nxlf, nxrf, nysf, nynf,                   &
                                      nys_on_file, nyn_on_file,                 &
-                                     nxl_on_file,nxr_on_file )                 
-                                                                               
-       CASE ( 't_surface_v(0)' )                                               
-                                                                               
-          IF ( k == 1 )  THEN                                                  
+                                     nxl_on_file,nxr_on_file )
+
+       CASE ( 't_surface_v(0)' )
+
+          IF ( k == 1 )  THEN
              IF ( .NOT.  ALLOCATED( t_surface_v(0)%var_1d ) )                  &
-                ALLOCATE( t_surface_v(0)%var_1d(1:surf_lsm_v(0)%ns) )          
-             READ ( 13 )  tmp_walltype_v_1d(0)%var_1d                          
-          ENDIF                                                                
+                ALLOCATE( t_surface_v(0)%var_1d(1:surf_lsm_v(0)%ns) )
+             READ ( 13 )  tmp_walltype_v_1d(0)%var_1d
+          ENDIF
           CALL surface_restore_elements(                                       &
                                   t_surface_v(0)%var_1d,                       &
                                   tmp_walltype_v_1d(0)%var_1d,                 &
-                                  surf_lsm_v(0)%start_index,                   & 
+                                  surf_lsm_v(0)%start_index,                   &
                                   start_index_on_file,                         &
                                   end_index_on_file,                           &
@@ -7190,35 +7189,17 @@
                                   nxlf, nxrf, nysf, nynf,                      &
                                   nys_on_file, nyn_on_file,                    &
-                                  nxl_on_file,nxr_on_file )                    
-                                                                               
-       CASE ( 't_surface_v(1)' )                                               
-                                                                               
-          IF ( k == 1 )  THEN                                                  
+                                  nxl_on_file,nxr_on_file )
+
+       CASE ( 't_surface_v(1)' )
+
+          IF ( k == 1 )  THEN
              IF ( .NOT.  ALLOCATED( t_surface_v(1)%var_1d ) )                  &
-                ALLOCATE( t_surface_v(1)%var_1d(1:surf_lsm_v(1)%ns) )          
-             READ ( 13 )  tmp_walltype_v_1d(1)%var_1d                          
-          ENDIF                                                                
+                ALLOCATE( t_surface_v(1)%var_1d(1:surf_lsm_v(1)%ns) )
+             READ ( 13 )  tmp_walltype_v_1d(1)%var_1d
+          ENDIF
           CALL surface_restore_elements(                                       &
                                   t_surface_v(1)%var_1d,                       &
                                   tmp_walltype_v_1d(1)%var_1d,                 &
-                                  surf_lsm_v(1)%start_index,                   & 
-                                  start_index_on_file,                         &
-                                  end_index_on_file,                           &
-                                  nxlc, nysc,                                  &
-                                  nxlf, nxrf, nysf, nynf,                      &
-                                  nys_on_file, nyn_on_file,                    & 
-                                  nxl_on_file,nxr_on_file )                    
-                                                                               
-       CASE ( 't_surface_v(2)' )                                               
-                                                                               
-          IF ( k == 1 )  THEN                                                  
-             IF ( .NOT.  ALLOCATED( t_surface_v(2)%var_1d ) )                  &
-                ALLOCATE( t_surface_v(2)%var_1d(1:surf_lsm_v(2)%ns) )          
-             READ ( 13 )  tmp_walltype_v_1d(2)%var_1d                          
-          ENDIF                                                                
-          CALL surface_restore_elements(                                       &
-                                  t_surface_v(2)%var_1d,                       &
-                                  tmp_walltype_v_1d(2)%var_1d,                 &
-                                  surf_lsm_v(2)%start_index,                   & 
+                                  surf_lsm_v(1)%start_index,                   &
                                   start_index_on_file,                         &
                                   end_index_on_file,                           &
@@ -7226,17 +7207,35 @@
                                   nxlf, nxrf, nysf, nynf,                      &
                                   nys_on_file, nyn_on_file,                    &
-                                  nxl_on_file,nxr_on_file )                    
-                                                                               
-       CASE ( 't_surface_v(3)' )                                               
-                                                                               
-          IF ( k == 1 )  THEN                                                  
+                                  nxl_on_file,nxr_on_file )
+
+       CASE ( 't_surface_v(2)' )
+
+          IF ( k == 1 )  THEN
+             IF ( .NOT.  ALLOCATED( t_surface_v(2)%var_1d ) )                  &
+                ALLOCATE( t_surface_v(2)%var_1d(1:surf_lsm_v(2)%ns) )
+             READ ( 13 )  tmp_walltype_v_1d(2)%var_1d
+          ENDIF
+          CALL surface_restore_elements(                                       &
+                                  t_surface_v(2)%var_1d,                       &
+                                  tmp_walltype_v_1d(2)%var_1d,                 &
+                                  surf_lsm_v(2)%start_index,                   &
+                                  start_index_on_file,                         &
+                                  end_index_on_file,                           &
+                                  nxlc, nysc,                                  &
+                                  nxlf, nxrf, nysf, nynf,                      &
+                                  nys_on_file, nyn_on_file,                    &
+                                  nxl_on_file,nxr_on_file )
+
+       CASE ( 't_surface_v(3)' )
+
+          IF ( k == 1 )  THEN
              IF ( .NOT.  ALLOCATED( t_surface_v(3)%var_1d ) )                  &
-                ALLOCATE( t_surface_v(3)%var_1d(1:surf_lsm_v(3)%ns) )          
-             READ ( 13 )  tmp_walltype_v_1d(3)%var_1d                          
-          ENDIF                                                                
+                ALLOCATE( t_surface_v(3)%var_1d(1:surf_lsm_v(3)%ns) )
+             READ ( 13 )  tmp_walltype_v_1d(3)%var_1d
+          ENDIF
           CALL surface_restore_elements(                                       &
                                   t_surface_v(3)%var_1d,                       &
                                   tmp_walltype_v_1d(3)%var_1d,                 &
-                                  surf_lsm_v(3)%start_index,                   &   
+                                  surf_lsm_v(3)%start_index,                   &
                                   start_index_on_file,                         &
                                   end_index_on_file,                           &
@@ -7272,5 +7271,5 @@
        INTEGER(iwp) ::  j       !< running index
        INTEGER(iwp) ::  m       !< running index
-       
+
        LOGICAL      ::  flag_exceed_z0  = .FALSE. !< dummy flag to indicate whether roughness length is too high
        LOGICAL      ::  flag_exceed_z0h = .FALSE. !< dummy flag to indicate whether roughness length for scalars is too high
@@ -7283,15 +7282,15 @@
        DO  m = 1, surf_lsm_h%ns
 
-          i   = surf_lsm_h%i(m)            
+          i   = surf_lsm_h%i(m)
           j   = surf_lsm_h%j(m)
-          
+
           IF ( surf_lsm_h%water_surface(m) )  THEN
 
 !
-!--          Disabled: FLake parameterization. Ideally, the Charnock 
+!--          Disabled: FLake parameterization. Ideally, the Charnock
 !--          coefficient should depend on the water depth and the fetch
 !--          length
 !             re_0 = z0(j,i) * us(j,i) / molecular_viscosity
-!        
+!
 !             z0(j,i) = MAX( 0.1_wp * molecular_viscosity / us(j,i),            &
 !                           alpha_ch * us(j,i) / g )
@@ -7337,6 +7336,6 @@
                 flag_exceed_z0h   = .TRUE.
              ENDIF
-  
-                                 
+
+
           ENDIF
        ENDDO
@@ -7363,11 +7362,11 @@
 
     END SUBROUTINE calc_z0_water_surface
-    
+
 
 !------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!>  Vertical interpolation and extrapolation of 1D soil profile input from 
-!>  dynamic input file onto the numeric vertical soil grid. 
+!>  Vertical interpolation and extrapolation of 1D soil profile input from
+!>  dynamic input file onto the numeric vertical soil grid.
 !------------------------------------------------------------------------------!
     SUBROUTINE interpolate_soil_profile( var, var_file, z_grid, z_file,        &
@@ -7452,4 +7451,4 @@
 
    END FUNCTION psi_h
-    
+
  END MODULE land_surface_model_mod
